### Hierarchy

- Config
  - ConfigService

## Index

### Constructors

- constructor

### Properties

- _config
- _defaults
- _locked
- _type

### Accessors

- type
- instance

### Methods

- add
- all
- extend
- fetch
- get
- getLocalSettings
- initXdomain
- islocked
- lock
- restoreDefaults
- set
- setDefaults
- setLocalSettings
- unLock

## Constructors

### constructor

- new ConfigService(enforcer: any): ConfigService

- Overrides Config.constructor

  - Defined in config/config-service.ts:8

  #### Parameters

  - ##### enforcer: any

  #### Returns ConfigService

## Properties

### _config

_config: any

Inherited from Config._config

- Defined in config/config.ts:9

### _defaults

_defaults: any

Inherited from Config._defaults

- Defined in config/config.ts:10

### _locked

_locked: string[] = ['_config', '_defaults']

Inherited from Config._locked

- Defined in config/config.ts:11

### _type

_type: string

- Defined in config/config-service.ts:8

## Accessors

### type

- get type(): string
- set type(value: string): void

- - Defined in config/config-service.ts:25

  #### Returns string

- - Defined in config/config-service.ts:29

  #### Parameters

  - ##### value: string

  #### Returns void

### Static instance

- get instance(): any

- - Defined in config/config-service.ts:18

  #### Returns any

## Methods

### add

- add(object: any, extend?: boolean, castToType?: boolean): void

- Inherited from Config.add

  - Defined in config/config.ts:30

  #### Parameters

  - ##### object: any

  - ##### Default value extend: boolean = false

  - ##### Default value castToType: boolean = false

  #### Returns void

### all

- all(): any

- Inherited from Config.all

  - Defined in config/config.ts:69

  #### Returns any

### extend

- extend(object: any, target?: any): void

- Inherited from Config.extend

  - Defined in config/config.ts:65

  #### Parameters

  - ##### object: any

  - ##### Default value target: any = this._config

  #### Returns void

### fetch

- fetch(url: any, extend?: boolean): Promise<any>

- Inherited from Config.fetch

  - Defined in config/config.ts:41

  #### Parameters

  - ##### url: any

  - ##### Default value extend: boolean = false

  #### Returns Promise<any>

### get

- get(key: any): any

- Inherited from Config.get

  - Defined in config/config.ts:15

  #### Parameters

  - ##### key: any

  #### Returns any

### getLocalSettings

- getLocalSettings(id: any): void

- Inherited from Config.getLocalSettings

  - Defined in config/config.ts:73

  #### Parameters

  - ##### id: any

  #### Returns void

### initXdomain

- initXdomain(object: any): void

- Inherited from Config.initXdomain

  - Defined in config/config.ts:132

  #### Parameters

  - ##### object: any

  #### Returns void

### islocked

- islocked(key: any): boolean

- Inherited from Config.islocked

  - Defined in config/config.ts:103

  #### Parameters

  - ##### key: any

  #### Returns boolean

### lock

- lock(key: any): boolean

- Inherited from Config.lock

  - Defined in config/config.ts:117

  #### Parameters

  - ##### key: any

  #### Returns boolean

### restoreDefaults

- restoreDefaults(): void

- Inherited from Config.restoreDefaults

  - Defined in config/config.ts:96

  #### Returns void

### set

- set(key: any, value: any, castToType?: boolean): any

- Inherited from Config.set

  - Defined in config/config.ts:19

  #### Parameters

  - ##### key: any

  - ##### value: any

  - ##### Default value castToType: boolean = false

  #### Returns any

### setDefaults

- setDefaults(configDefaults: any): void

- Inherited from Config.setDefaults

  - Defined in config/config.ts:88

  #### Parameters

  - ##### configDefaults: any

  #### Returns void

### setLocalSettings

- setLocalSettings(id: any, settings?: any): void

- Inherited from Config.setLocalSettings

  - Defined in config/config.ts:80

  #### Parameters

  - ##### id: any

  - ##### Default value settings: any = this._config

  #### Returns void

### unLock

- unLock(key: any): void

- Inherited from Config.unLock

  - Defined in config/config.ts:124

  #### Parameters

  - ##### key: any

  #### Returns void